### Method

# PangoFc FontMap set_config

since: 1.38

#### Declaration [src]

    void
    pango_fc_font_map_set_config (
      PangoFcFontMap* fcfontmap,
      FcConfig* fcconfig
    )

#### Description [src]

Set the `FcConfig` for this font map to use.

The default value is `NULL`, which causes Fontconfig to use its global “current config”. You can create a new `FcConfig` object and use this API to attach it to a font map.

This is particularly useful for example, if you want to use application fonts with Pango. For that, you would create a fresh `FcConfig`, add your app fonts to it, and attach it to a new Pango font map.

If `fcconfig` is different from the previous config attached to the font map, `pango_fc_font_map_config_changed()` is called.

This function acquires a reference to the `FcConfig` object; the caller does not need to retain a reference.

See `pango_font_map_add_font_file()` for a backend-independent way of using application fonts with Pango.

Available since: 1.38

This method is not directly available to language bindings.

#### Parameters

`fcconfig`

  Type: `FcConfig`

  A `FcConfig`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.